# Uses of Interface
org.eclipse.emf.compare.rcp.policy.ILoadOnDemandPolicy

Packages that use ILoadOnDemandPolicy
Package
Description
org.eclipse.emf.compare.rcp.internal.policy
org.eclipse.emf.compare.rcp.policy

## Uses of ILoadOnDemandPolicy in org.eclipse.emf.compare.rcp.internal.policy

Methods in org.eclipse.emf.compare.rcp.internal.policy that return ILoadOnDemandPolicy
Modifier and Type
Method
Description
`ILoadOnDemandPolicy`
LoadOnDemandPolicyRegistryImpl.`addPolicy(ILoadOnDemandPolicy policy)`
Add the given `policy` to this registry.
`ILoadOnDemandPolicy`
LoadOnDemandPolicyRegistryImpl.`removePolicy(String className)`
Removes the policy registered within this registry with the given class name.
Methods in org.eclipse.emf.compare.rcp.internal.policy that return types with arguments of type ILoadOnDemandPolicy
Modifier and Type
Method
Description
`List<ILoadOnDemandPolicy>`
LoadOnDemandPolicyRegistryImpl.`getPolicies()`
Returns the list of registered policies.
Methods in org.eclipse.emf.compare.rcp.internal.policy with parameters of type ILoadOnDemandPolicy
Modifier and Type
Method
Description
`ILoadOnDemandPolicy`
LoadOnDemandPolicyRegistryImpl.`addPolicy(ILoadOnDemandPolicy policy)`
Add the given `policy` to this registry.

## Uses of ILoadOnDemandPolicy in org.eclipse.emf.compare.rcp.policy

Methods in org.eclipse.emf.compare.rcp.policy that return ILoadOnDemandPolicy
Modifier and Type
Method
Description
`ILoadOnDemandPolicy`
ILoadOnDemandPolicy.Registry.`addPolicy(ILoadOnDemandPolicy policy)`
Add the given `policy` to this registry.
`ILoadOnDemandPolicy`
ILoadOnDemandPolicy.Registry.`removePolicy(String className)`
Removes the policy registered within this registry with the given class name.
Methods in org.eclipse.emf.compare.rcp.policy that return types with arguments of type ILoadOnDemandPolicy
Modifier and Type
Method
Description
`List<ILoadOnDemandPolicy>`
ILoadOnDemandPolicy.Registry.`getPolicies()`
Returns the list of registered policies.
Methods in org.eclipse.emf.compare.rcp.policy with parameters of type ILoadOnDemandPolicy
Modifier and Type
Method
Description
`ILoadOnDemandPolicy`
ILoadOnDemandPolicy.Registry.`addPolicy(ILoadOnDemandPolicy policy)`
Add the given `policy` to this registry.